Package com.independentsoft.office.spreadsheet.extensions

# Class X14ConditionalFormattingValueObject

java.lang.Object
com.independentsoft.office.spreadsheet.extensions.X14ConditionalFormattingValueObject

public class X14ConditionalFormattingValueObject extends Object
Represents a conditional formatting value object (x14:cfvo element).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X14ConditionalFormattingValueObject()`
  Instantiates a new x14 conditional formatting value object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X14ConditionalFormattingValueObject`
  `clone()`
  `String`
  `getFormula()`
  Gets the formula (xm:f element).
  `Boolean`
  `getGreaterThanOrEqual()`
  Gets whether the threshold is "greater than or equal" instead of "greater than".
  `String`
  `getType()`
  Gets the value object type (e.g.
  `void`
  `setFormula​(String formula)`
  Sets the formula (xm:f element).
  `void`
  `setGreaterThanOrEqual​(Boolean greaterThanOrEqual)`
  Sets whether the threshold is "greater than or equal" instead of "greater than".
  `void`
  `setType​(String type)`
  Sets the value object type (e.g.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### X14ConditionalFormattingValueObject

    public X14ConditionalFormattingValueObject()
    Instantiates a new x14 conditional formatting value object.

- ## Method Details

  - ### clone

    public X14ConditionalFormattingValueObject clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getType

    public String getType()
    Gets the value object type (e.g. "min", "max", "percent", "formula", "autoMin", "autoMax").
    Returns:
      the value object type

  - ### setType

    public void setType​(String type)
    Sets the value object type (e.g. "min", "max", "percent", "formula", "autoMin", "autoMax").
    Parameters:
      `type` - the new value object type

  - ### getGreaterThanOrEqual

    public Boolean getGreaterThanOrEqual()
    Gets whether the threshold is "greater than or equal" instead of "greater than".
    Returns:
      whether the threshold is "greater than or equal" instead of "greater than"

  - ### setGreaterThanOrEqual

    public void setGreaterThanOrEqual​(Boolean greaterThanOrEqual)
    Sets whether the threshold is "greater than or equal" instead of "greater than".
    Parameters:
      `greaterThanOrEqual` - the new greater than or equal flag

  - ### getFormula

    public String getFormula()
    Gets the formula (xm:f element).
    Returns:
      the formula

  - ### setFormula

    public void setFormula​(String formula)
    Sets the formula (xm:f element).
    Parameters:
      `formula` - the new formula